<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TaskExecutionListener (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TaskExecutionListener (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/execution/TaskExecutionListener.html" target="_top">Frames</a></li>
<li><a href="TaskExecutionListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.execution</div>
<h2 title="Interface TaskExecutionListener" class="title">Interface TaskExecutionListener</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/gradle/api/execution/TaskExecutionAdapter.html" title="class in org.gradle.api.execution">TaskExecutionAdapter</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">TaskExecutionListener</span></pre>
<div class="block"><p>A <code>TaskExecutionListener</code> is notified of the execution of the tasks in a build.</p>

 <p>You can add a <code>TaskExecutionListener</code> to a build using <a href="../../../../org/gradle/api/execution/TaskExecutionGraph.html#addTaskExecutionListener(org.gradle.api.execution.TaskExecutionListener)"><code>TaskExecutionGraph.addTaskExecutionListener(org.gradle.api.execution.TaskExecutionListener)</code></a></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html#afterExecute(org.gradle.api.Task,%20org.gradle.api.tasks.TaskState)">afterExecute</a></strong>(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task,
            <a href="../../../../org/gradle/api/tasks/TaskState.html" title="interface in org.gradle.api.tasks">TaskState</a>&nbsp;state)</code>
<div class="block">This method is call immediately after a task has been executed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/execution/TaskExecutionListener.html#beforeExecute(org.gradle.api.Task)">beforeExecute</a></strong>(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task)</code>
<div class="block">This method is called immediately before a task is executed.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="beforeExecute(org.gradle.api.Task)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>beforeExecute</h4>
<pre>void&nbsp;beforeExecute(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task)</pre>
<div class="block">This method is called immediately before a task is executed.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>task</code> - The task about to be executed. Never null.</dd></dl>
</li>
</ul>
<a name="afterExecute(org.gradle.api.Task, org.gradle.api.tasks.TaskState)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>afterExecute</h4>
<pre>void&nbsp;afterExecute(<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&nbsp;task,
                <a href="../../../../org/gradle/api/tasks/TaskState.html" title="interface in org.gradle.api.tasks">TaskState</a>&nbsp;state)</pre>
<div class="block">This method is call immediately after a task has been executed. It is always called, regardless of whether the
 task completed successfully, or failed with an exception.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>task</code> - The task which was executed. Never null.</dd><dd><code>state</code> - The task state. If the task failed with an exception, the exception is available in this
 state. Never null.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/execution/TaskExecutionGraphListener.html" title="interface in org.gradle.api.execution"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/execution/TaskExecutionListener.html" target="_top">Frames</a></li>
<li><a href="TaskExecutionListener.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
